cxf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From e..@apache.org
Subject svn commit: r576655 - in /incubator/cxf/trunk/distribution: bundle/pom.xml manifest/pom.xml pom.xml src/main/release/bin/java2ws src/main/release/bin/java2ws.bat
Date Tue, 18 Sep 2007 02:00:02 GMT
Author: ema
Date: Mon Sep 17 19:00:01 2007
New Revision: 576655

URL: http://svn.apache.org/viewvc?rev=576655&view=rev
Log:
* Added java2ws shell script
* Added java2ws stuff to bundle jar 

Added:
    incubator/cxf/trunk/distribution/src/main/release/bin/java2ws
    incubator/cxf/trunk/distribution/src/main/release/bin/java2ws.bat
Modified:
    incubator/cxf/trunk/distribution/bundle/pom.xml
    incubator/cxf/trunk/distribution/manifest/pom.xml
    incubator/cxf/trunk/distribution/pom.xml

Modified: incubator/cxf/trunk/distribution/bundle/pom.xml
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/bundle/pom.xml?rev=576655&r1=576654&r2=576655&view=diff
==============================================================================
--- incubator/cxf/trunk/distribution/bundle/pom.xml (original)
+++ incubator/cxf/trunk/distribution/bundle/pom.xml Mon Sep 17 19:00:01 2007
@@ -93,6 +93,14 @@
             <version>${pom.version}</version>
             <optional>true</optional>
         </dependency>
+        
+        <dependency>
+            <groupId>${pom.groupId}</groupId>
+            <artifactId>cxf-tools-java2ws</artifactId>
+            <version>${pom.version}</version>
+            <optional>true</optional>
+        </dependency>        
+        
         <dependency>
             <groupId>${pom.groupId}</groupId>
             <artifactId>cxf-xjc-ts</artifactId>

Modified: incubator/cxf/trunk/distribution/manifest/pom.xml
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/manifest/pom.xml?rev=576655&r1=576654&r2=576655&view=diff
==============================================================================
--- incubator/cxf/trunk/distribution/manifest/pom.xml (original)
+++ incubator/cxf/trunk/distribution/manifest/pom.xml Mon Sep 17 19:00:01 2007
@@ -84,6 +84,13 @@
             <artifactId>cxf-tools-java2wsdl</artifactId>
             <version>${pom.version}</version>
         </dependency>
+        
+        <dependency>
+            <groupId>${pom.groupId}</groupId>
+            <artifactId>cxf-tools-java2ws</artifactId>
+            <version>${pom.version}</version>
+        </dependency>       
+        
         <dependency>
             <groupId>${pom.groupId}</groupId>
             <artifactId>cxf-xjc-dv</artifactId>

Modified: incubator/cxf/trunk/distribution/pom.xml
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/pom.xml?rev=576655&r1=576654&r2=576655&view=diff
==============================================================================
--- incubator/cxf/trunk/distribution/pom.xml (original)
+++ incubator/cxf/trunk/distribution/pom.xml Mon Sep 17 19:00:01 2007
@@ -88,6 +88,13 @@
             <artifactId>cxf-tools-java2wsdl</artifactId>
             <version>${pom.version}</version>
         </dependency>
+        
+        <dependency>
+            <groupId>${pom.groupId}</groupId>
+            <artifactId>cxf-tools-java2ws</artifactId>
+            <version>${pom.version}</version>
+        </dependency>        
+        
         <dependency>
             <groupId>${pom.groupId}</groupId>
             <artifactId>cxf-xjc-dv</artifactId>

Added: incubator/cxf/trunk/distribution/src/main/release/bin/java2ws
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/src/main/release/bin/java2ws?rev=576655&view=auto
==============================================================================
--- incubator/cxf/trunk/distribution/src/main/release/bin/java2ws (added)
+++ incubator/cxf/trunk/distribution/src/main/release/bin/java2ws Mon Sep 17 19:00:01 2007
@@ -0,0 +1,96 @@
+#
+#
+#    Licensed to the Apache Software Foundation (ASF) under one
+#    or more contributor license agreements. See the NOTICE file
+#    distributed with this work for additional information
+#    regarding copyright ownership. The ASF licenses this file
+#    to you under the Apache License, Version 2.0 (the
+#    "License"); you may not use this file except in compliance
+#    with the License. You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing,
+#    software distributed under the License is distributed on an
+#    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#    KIND, either express or implied. See the License for the
+#    specific language governing permissions and limitations
+#    under the License.
+#
+#
+#!/bin/sh
+# run the CXF java2wsdl tool 
+#
+
+# Check for irritating 'operating systems'.
+cygwin=false;
+darwin=false;
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  Darwin*) darwin=true
+           if [ -z "$JAVA_HOME" ] ; then
+             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home
+           fi
+           ;;
+esac
+
+
+me=`basename $0`
+cxf_home=$CXF_HOME
+if [ ! -f  $cxf_home/lib/cxf-manifest-incubator.jar ]; then
+    cxf_home=`dirname $0`/..
+fi
+                                                                                        
                                                                    
+cxf_jar=$cxf_home/lib/cxf-manifest-incubator.jar
+
+
+if [ ! -f $cxf_jar ]; then 
+    if [ ! -f ${cxf_home}/../../target/srcbuild_env ]; then
+        echo "ERROR: Unable to find cxf-manifest-incubator.jar in $cxf_home/lib"
+        exit 1
+    else
+        . ${cxf_home}/../../target/srcbuild_env
+        cxf_jar=${CXF_CLASSPATH}
+    fi
+fi 
+
+#
+# add the jdk's tools.jar to the classpath
+#
+
+sun_tool_path=""
+if [ $darwin == false ]; then
+    sun_tool_path=${JAVA_HOME}/lib/tools.jar
+    if [ ! -f $sun_tool_path ]; then
+	echo "ERROR: Set JAVA_HOME to the path where the J2SE 5.0 (JDK5.0) is installed"
+	exit 1
+    fi
+fi 
+
+log_config=$cxf_home/etc/logging.properties 
+
+
+# For Cygwin, switch paths to appropriate format before running java
+# For PATHs convert to unix format first, then to windows format to ensure
+# both formats are supported. Probably this will fail on directories with ;
+# in the name in the path. Let's assume that paths containing ; are more
+# rare than windows style paths on cygwin.
+if $cygwin; then
+  if [ "$OS" = "Windows_NT" ] && cygpath -m .>/dev/null 2>/dev/null ; then
+    format=mixed
+  else
+    format=windows
+  fi
+  cxf_classpath=`cygpath --$format "${cxf_jar}"`
+  if [ ! -z "${CLASSPATH}" ]; then
+    cxf_classpath=${cxf_classpath}\;`cygpath --$format --path "${CLASSPATH}"`
+  fi
+  if [ ! -z "${sun_tool_path}" ] ; then
+    cxf_classpath=${cxf_classpath}\;`cygpath --$format "${sun_tool_path}"`
+  fi
+  log_config=`cygpath --$format "$log_config"`
+else
+  cxf_classpath=${cxf_jar}:${CLASSPATH}:${sun_tool_path}
+fi
+
+$JAVA_HOME/bin/java -cp ${cxf_classpath} -Djava.util.logging.config.file=$log_config org.apache.cxf.tools.java2ws.JavaToWS
"$@"

Added: incubator/cxf/trunk/distribution/src/main/release/bin/java2ws.bat
URL: http://svn.apache.org/viewvc/incubator/cxf/trunk/distribution/src/main/release/bin/java2ws.bat?rev=576655&view=auto
==============================================================================
--- incubator/cxf/trunk/distribution/src/main/release/bin/java2ws.bat (added)
+++ incubator/cxf/trunk/distribution/src/main/release/bin/java2ws.bat Mon Sep 17 19:00:01
2007
@@ -0,0 +1,60 @@
+@echo off
+rem
+rem
+rem    Licensed to the Apache Software Foundation (ASF) under one
+rem    or more contributor license agreements. See the NOTICE file
+rem    distributed with this work for additional information
+rem    regarding copyright ownership. The ASF licenses this file
+rem    to you under the Apache License, Version 2.0 (the
+rem    "License"); you may not use this file except in compliance
+rem    with the License. You may obtain a copy of the License at
+rem
+rem    http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem    Unless required by applicable law or agreed to in writing,
+rem    software distributed under the License is distributed on an
+rem    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+rem    KIND, either express or implied. See the License for the
+rem    specific language governing permissions and limitations
+rem    under the License.
+rem
+rem
+
+rem 
+rem  invoke the CXF java2wsdl tool
+rem 
+@setlocal
+
+if not defined CXF_HOME goto set_cxf_home
+                                                                                        
                                                                    
+:cont
+if not defined JAVA_HOME goto no_java_home
+
+set SUN_TOOL_PATH=%JAVA_HOME%\lib\tools.jar;
+
+if not exist "%CXF_HOME%\lib\cxf-manifest-incubator.jar" goto no_cxf_jar
+
+set CXF_JAR=%CXF_HOME%\lib\cxf-manifest-incubator.jar
+
+"%JAVA_HOME%\bin\java" -cp "%CXF_JAR%;%SUN_TOOL_PATH%;%CLASSPATH%" -Djava.util.logging.config.file="%CXF_HOME%\etc\logging.properties"
org.apache.cxf.tools.java2ws.JavaToWS %*
+
+@endlocal
+
+goto end
+
+:no_cxf_jar
+echo ERROR: Unable to find cxf-manifest-incubator.jar in %cxf_home/lib
+goto end
+
+:no_java_home
+echo ERROR: Set JAVA_HOME to the path where the J2SE 5.0 (JDK5.0) is installed
+goto end 
+
+:set_cxf_home
+set CXF_HOME=%~dp0..
+goto cont
+
+:end
+
+
+



Mime
View raw message